#ifndef BULLETMANAGER_H
#define BULLETMANAGER_H

#include "btBulletDynamicsCommon.h"
#include "PhysicsShape.h"
#include "Camera.h"

class BulletManager 
{
private:
	static BulletManager *m_pInstance;
	btDiscreteDynamicsWorld* m_dynamicsWorld;
	btRigidBody *m_playerBody;

	BulletManager();
public:
	static BulletManager *getInstance();

	void tick(int nFps);
	void addPhysicsShape(PhysicsShape *shape);
	void clearDynamicsWorld();
	void createPlayerBody(Camera *camera);
	bool playerBodyExists();
	void updateDynamicsWorld(float nSpeed, Camera *camera);
};

#endif